petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFEIntegrate

Produce the integral for the given field for a chunk of elements by quadrature integration

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrate(PetscFE fem, PetscDS prob, PetscInt field, PetscInt Ne, PetscFECellGeom *geom,
                                    const PetscScalar coefficients[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscReal integral[])

Not collective

### Input Parameters

| fem | - The PetscFE object for the field being integrated
| prob | - The PetscDS specifing the discretizations and continuum functions
| field | - The field being integrated
| Ne | - The number of elements in the chunk
| geom | - The cell geometry for each cell in the chunk
| coefficients | - The array of FEM basis coefficients for the elements
| probAux | - The PetscDS specifing the auxiliary discretizations
| coefficientsAux | - The array of FEM auxiliary basis coefficients for the elements

Output Parameter

integral -the integral for this field

### See Also

PetscFEIntegrateResidual()

Level:developer
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages